function PQout = Press_Flow_Relation(xu,xo,P2,P3,Qin,par)
x0 = [P2,P3];
if xo<0.1
    xo=0.1;
end

Cv1=par.Aup*par.Cdu;%Pipe dia underflow
Cv2=par.Aop*par.Cdo;%pipe dia overflow

%% Qin as a sum of Qo and Qu
%
options = optimoptions('lsqnonlin','Display','iter');
%options = optimset('Display','iter','TolFun',1e-8)
%[x,fval,exitflag,output] = fsolve(@(x) PressEquations_withQin(Qin,xu,xo,par,x),x0,options);
%[x,fval,exitflag,output] = fsolve(@(x) PressEquations(P1,xu,xo,par,x),x0,options);
[x,fval,exitflag,output] = lsqnonlin(@(x) PressEquations_withQin(Qin,xu,xo,par,x),x0);

Qu=abs(Cv1*xu*sqrt(2/par.Rho_w*(x(2)-par.Patm)));  % Underflow 
Qo=abs(Cv2*xo*sqrt(2/par.Rho_o*(x(1)-par.Patm)));  %Overflow
P2=abs(x(1));
P3=abs(x(2));
PQout =[Qu Qo P2 P3];